import { request } from "umi";

export type commonParams = {
  currentPage: number;
  pageSize: number;
  orderByProperty?: string;
  Ascending?: boolean;
  totalPage?: number;
  totalCount?: number;
  filters?: any[];
};

/**
 * 查询多语言
 * @param data {maxCount: number, searchKey: string, searchLan: "zh-CN" | "en"}
 * @returns
 */
export const ListLangBySearchKey = (data: {
  maxCount: number;
  searchKey: string;
  searchLan: "zh-CN" | "en";
}) => {
  return request("/api/system/ListLangBySearchKey", {
    method: "POST",
    data,
  });
};

/**
 * 获取表格字段列表
 * @param data 
 * @returns 
 */
export const GetAllBusinessTableColumns = (data: commonParams) => {
  return request("/api/table/GetAllBusinessTableColumns", {
    method: "POST",
    data
  });
}

/**
 * 获取全部表格设计
 * @param data 
 * @returns 
 */
export const GetAllDesignTables = (data: {
  groupType: string
}) => {
  return request("/api/table/GetAllDesignTables", {
    method: "POST",
    data
  });
};
